{ ... }:
{
  programs.nixvim = {
    plugins.telescope = {
      enable = true;
      extensions = {
        file-browser.enable = true;
        frecency.enable = true;
        fzf-native.enable = true;
      };
      keymaps = {
        # https://github.com/nvim-telescope/telescope.nvim?tab=readme-ov-file#pickers
        # File pickers
        "<leader>t" = "file_browser";
        "<leader>ff" = "find_files";
        "<leader>fg" = "live_grep";
        # Vim pickers
        "<leader>r" = "command_history";
        "<leader>fo" = "oldfiles";
        "<leader>fs" = "spell_suggest";
        # Treesitter pickers
        "<leader>ft" = "treesitter";
        # Git pickers
        "<leader>fgs" = "git_status";
        # lsp
      };
    };
  };
}
